Subject: Re: assert_cfg80211_lock warning with Linux v3.5-8833-g2d53492

From: "Arend van Spriel" <arend-dY08KVG/lbpWk0Htik3J/[email-masked]>
Date: Wed, 1 Aug 2012 21:28:48 +0200

On 08/01/2012 07:24 PM, Arend van Spriel wrote:
> It seems the API was as it currently is when adding regulatory framework
> changes in brcmsmac so we should have seen this assert flying by. The
> problem is that freq_reg_info() is exposed in cfg80211.h, but as it is
> now it can only be used under the cfg80211_mutex lock, ie. in regulatory
> notify callback (as Seth indicated).
> 
> Gr. AvS

Ah, I see you need to run a LOCKDEP-enabled kernel to get this warning.

Gr. AvS

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html